FROM python:3.10-slim-buster

RUN mkdir -p /app
WORKDIR /app

RUN apt update && apt install -y build-essential librdkafka-dev

RUN pip install -U pip
RUN pip install poetry

ADD pyproject.toml poetry.lock /app/
RUN poetry config virtualenvs.create false
RUN poetry install -E celery -E django -E sanic -E aiohttp -E confluent-kafka -E avro -E requests

ADD . /app/

RUN make tests
